<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="17.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{7EF67DAA-DBC0-4B7F-80E8-11B4D2CB7EC2}</ProjectGuid>
    <Keyword>QtVS_v304</Keyword>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">10.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">10.0</WindowsTargetPlatformVersion>
    <QtMsBuild Condition="'$(QtMsBuild)'=='' OR !Exists('$(QtMsBuild)\qt.targets')">$(MSBuildProjectDirectory)\QtMsBuild</QtMsBuild>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <UseInteloneMKL>Parallel</UseInteloneMKL>
    <UseILP64Interfaces1A>true</UseILP64Interfaces1A>
    <UseIntelMPI>true</UseIntelMPI>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt_defaults.props')">
    <Import Project="$(QtMsBuild)\qt_defaults.props" />
  </ImportGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;gui;widgets</QtModules>
    <QtBuildConfig>debug</QtBuildConfig>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;xml;sql;gui;help;xmlpatterns;widgets;location;bluetooth;printsupport;dbus;charts;datavisualization</QtModules>
    <QtBuildConfig>release</QtBuildConfig>
  </PropertyGroup>
  <Target Name="QtMsBuildNotFound" BeforeTargets="CustomBuild;ClCompile" Condition="!Exists('$(QtMsBuild)\qt.targets') or !Exists('$(QtMsBuild)\qt.props')">
    <Message Importance="High" Text="QtMsBuild: could not locate qt.targets, qt.props; project may not build correctly." />
  </Target>
  <ImportGroup Label="ExtensionSettings">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\CUDA 12.6.props" />
  </ImportGroup>
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <IncludePath>.\SimulationSAR;.\GF3ProcessToolbox;.\BaseTool;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <IncludePath>.\GPUTool;.\SimulationSAR;.\GF3ProcessToolbox;.\BaseTool;$(oneMKLIncludeDir);$(IncludePath)</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;_SILENCE_NONFLOATING_COMPLEX_DEPRECATION_WARNING;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <OpenMPSupport>true</OpenMPSupport>
      <Optimization>Disabled</Optimization>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <EnableParallelCodeGeneration>true</EnableParallelCodeGeneration>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <FavorSizeOrSpeed>Neither</FavorSizeOrSpeed>
    </ClCompile>
    <Link>
      <LinkTimeCodeGeneration>Default</LinkTimeCodeGeneration>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>DebugFull</GenerateDebugInformation>
      <EnableCOMDATFolding>false</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="BaseTool\BaseTool.cpp" />
    <ClCompile Include="BaseTool\EchoDataFormat.cpp" />
    <ClCompile Include="BaseTool\FileOperator.cpp" />
    <ClCompile Include="BaseTool\GeoOperator.cpp" />
    <ClCompile Include="BaseTool\ImageOperatorBase.cpp" />
    <ClCompile Include="BaseTool\LogInfoCls.cpp" />
    <ClCompile Include="BaseTool\QToolProcessBarDialog.cpp" />
    <ClCompile Include="BaseTool\RasterToolBase.cpp" />
    <ClCompile Include="BaseTool\SARSimulationImageL1.cpp" />
    <ClCompile Include="BaseTool\stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="GF3ProcessToolbox\QOrthSlrRaster.cpp" />
    <ClCompile Include="QSimulationRTPCGUI.cpp" />
    <ClCompile Include="RegisterToolbox.cpp">
      <DynamicSource Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">input</DynamicSource>
      <QtMocFileName Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">%(Filename).moc</QtMocFileName>
      <DynamicSource Condition="'$(Configuration)|$(Platform)'=='Release|x64'">input</DynamicSource>
      <QtMocFileName Condition="'$(Configuration)|$(Platform)'=='Release|x64'">%(Filename).moc</QtMocFileName>
    </ClCompile>
    <ClCompile Include="SimulationSAR\QImageSARRTPC.cpp" />
    <ClCompile Include="SimulationSAR\QSimulationBPImage.cpp" />
    <ClCompile Include="SimulationSAR\QToolAbstract.cpp" />
    <ClCompile Include="SimulationSAR\RTPCProcessCls.cpp" />
    <ClCompile Include="SimulationSAR\SARSatelliteSimulationAbstractCls.cpp" />
    <ClCompile Include="SimulationSAR\SARSimulationTaskSetting.cpp" />
    <ClCompile Include="SimulationSAR\SatelliteOribtModel.cpp" />
    <ClCompile Include="SimulationSAR\SigmaDatabase.cpp" />
    <ClCompile Include="SimulationSAR\TBPImageAlgCls.cpp" />
    <QtRcc Include="Imageshow\qcustomplot.qrc" />
    <QtRcc Include="RasterProcessTool.qrc" />
    <QtUic Include="BaseTool\QToolProcessBarDialog.ui" />
    <QtUic Include="GF3ProcessToolbox\QComplex2AmpPhase.ui" />
    <QtUic Include="GF3ProcessToolbox\QImportGF3StripL1ADataset.ui" />
    <QtUic Include="GF3ProcessToolbox\QOrthSlrRaster.ui" />
    <QtUic Include="GF3ProcessToolbox\QRDOrthProcessClass.ui" />
    <QtUic Include="Imageshow\ImageShowDialogClass.ui" />
    <QtUic Include="Imageshow\qcustomplot.ui" />
    <QtUic Include="QMergeRasterProcessDialog.ui" />
    <QtUic Include="QSimulationRTPCGUI.ui" />
    <QtUic Include="RasterProcessTool.ui" />
    <QtMoc Include="RasterProcessTool.h" />
    <ClCompile Include="GF3ProcessToolbox\GF3CalibrationAndGeocodingClass.cpp" />
    <ClCompile Include="GF3ProcessToolbox\GF3PSTNClass.cpp" />
    <ClCompile Include="GF3ProcessToolbox\QComplex2AmpPhase.cpp" />
    <ClCompile Include="GF3ProcessToolbox\QImportGF3StripL1ADataset.cpp" />
    <ClCompile Include="GF3ProcessToolbox\QRDOrthProcessClass.cpp" />
    <ClCompile Include="GF3ProcessToolbox\SatelliteGF3xmlParser.cpp" />
    <ClCompile Include="GF3ProcessToolbox\SateOrbit.cpp" />
    <ClCompile Include="GF3ProcessToolbox\simptsn.cpp" />
    <ClCompile Include="GF3ProcessToolbox\WGS84_J2000.cpp" />
    <ClCompile Include="Imageshow\ImageShowDialogClass.cpp" />
    <ClCompile Include="Imageshow\qcustomplot.cpp" />
    <ClCompile Include="QMergeRasterProcessDialog.cpp" />
    <ClCompile Include="RasterProcessTool.cpp" />
    <ClCompile Include="main.cpp" />
    <QtUic Include="SimulationSAR\QImageSARRTPC.ui" />
    <QtUic Include="SimulationSAR\QSimulationBPImage.ui" />
  </ItemGroup>
  <ItemGroup>
    <QtMoc Include="SimulationSAR\QImageSARRTPC.h" />
    <QtMoc Include="SimulationSAR\QToolAbstract.h" />
    <QtMoc Include="RegisterToolbox.h" />
    <QtMoc Include="SimulationSAR\QSimulationBPImage.h" />
    <ClInclude Include="BaseTool\BaseConstVariable.h" />
    <ClInclude Include="BaseTool\BaseTool.h" />
    <ClInclude Include="BaseTool\EchoDataFormat.h" />
    <ClInclude Include="BaseTool\FileOperator.h" />
    <ClInclude Include="BaseTool\GeoOperator.h" />
    <ClInclude Include="BaseTool\ImageOperatorBase.h" />
    <ClInclude Include="BaseTool\LogInfoCls.h" />
    <QtMoc Include="BaseTool\QToolProcessBarDialog.h" />
    <ClInclude Include="BaseTool\RasterToolBase.h" />
    <ClInclude Include="BaseTool\SARSimulationImageL1.h" />
    <ClInclude Include="BaseTool\stdafx.h" />
    <ClInclude Include="GPUTool\GPURTPC.cuh" />
    <ClInclude Include="GPUTool\GPUTBPImage.cuh" />
    <ClInclude Include="GPUTool\GPUTool.cuh" />
    <ClInclude Include="SimulationSAR\TBPImageAlgCls.h" />
    <QtMoc Include="QSimulationRTPCGUI.h" />
    <QtMoc Include="GF3ProcessToolbox\QOrthSlrRaster.h" />
    <ClInclude Include="SimulationSAR\RTPCProcessCls.h" />
    <ClInclude Include="SimulationSAR\SARSatelliteSimulationAbstractCls.h" />
    <ClInclude Include="SimulationSAR\SARSimulationTaskSetting.h" />
    <ClInclude Include="SimulationSAR\SatelliteOribtModel.h" />
    <ClInclude Include="SimulationSAR\SigmaDatabase.h" />
    <ClInclude Include="GF3ProcessToolbox\GF3CalibrationAndGeocodingClass.h" />
    <ClInclude Include="GF3ProcessToolbox\GF3PSTNClass.h" />
    <QtMoc Include="GF3ProcessToolbox\QImportGF3StripL1ADataset.h" />
    <QtMoc Include="GF3ProcessToolbox\QComplex2AmpPhase.h" />
    <QtMoc Include="GF3ProcessToolbox\QRDOrthProcessClass.h" />
    <ClInclude Include="GF3ProcessToolbox\SatelliteGF3xmlParser.h" />
    <ClInclude Include="GF3ProcessToolbox\SateOrbit.h" />
    <ClInclude Include="GF3ProcessToolbox\simptsn.h" />
    <ClInclude Include="GF3ProcessToolbox\WGS84_J2000.h" />
    <QtMoc Include="Imageshow\qcustomplot.h" />
    <QtMoc Include="Imageshow\ImageShowDialogClass.h" />
    <QtMoc Include="QMergeRasterProcessDialog.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="cpp.hint" />
  </ItemGroup>
  <ItemGroup>
    <CudaCompile Include="GPUTool\GPURTPC.cu">
      <GenerateRelocatableDeviceCode Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</GenerateRelocatableDeviceCode>
    </CudaCompile>
    <CudaCompile Include="GPUTool\GPUTBPImage.cu">
      <GenerateRelocatableDeviceCode Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</GenerateRelocatableDeviceCode>
    </CudaCompile>
    <CudaCompile Include="GPUTool\GPUTool.cu">
      <GenerateRelocatableDeviceCode Condition="'$(Configuration)|$(Platform)'=='Release|x64'">true</GenerateRelocatableDeviceCode>
    </CudaCompile>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt.targets')">
    <Import Project="$(QtMsBuild)\qt.targets" />
  </ImportGroup>
  <ImportGroup Label="ExtensionTargets">
    <Import Project="$(VCTargetsPath)\BuildCustomizations\CUDA 12.6.targets" />
  </ImportGroup>
</Project>